Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# OutlineItem Class Reference
[Editor]

## Detailed Description

Item in outliner's list.

Contans all the information about single structured token with specified type (region reference).

## Public Methods

| OutlineItem ()
| Default constructor.
| OutlineItem (int lno, int pos, int level, String *token, const Region *region)
| Initializing constructor.

## Data Fields

int | lno
| Line number.
int | pos
| Position in line.
int | level
| Level of enclosure.
StringBuffer * | token
| Item text.
const Region * | region
| This item's region.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.